## dods.util
Class OptSwitch

    java.lang.Object
      dods.util.OptSwitch

public class OptSwitch
extends Object

OptSwitch - class definition for Switches Description: this class defines a switch element. a switch is considered to be used (having been set or assigned a value if the 'set' field is false AND the 'val' field is null. Constants: Permitted values for 'type' field: protected static final int NONE uninitialized protected static final int BOOL boolean type switch protected static final int VAL value type switch Fields: sw the switch name type boolean/value set value is set/clear val switch value (not applicable to boolean type switch)

Field Summary
`protected static int` `BOOL`
`(package private) boolean` `debug`
`protected static int` `NONE`
`boolean` `set`
`(package private) int` `sw`
`(package private) int` `type`
`String` `val`
`protected static int` `VAL`

Constructor Summary
`OptSwitch()`
`OptSwitch(Character c, int type)` Invocation with explicit Character switchname and type
`OptSwitch(int c, int type)` Invocation with explicit integer switchname and type

Method Summary
`boolean` `acceptVal()` Return whether the option switch accepts values or no
`void` `SetHasValue(int type)` Set the value type of the option switch to the type passed
`void` `SetVal(boolean b)` Set the 'set' field of the option switch to 'b'.
`void` `SetVal(String s)` Set the 'val' field of the option switch to 's'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    protected static final int NONE

See Also:
  Constant Field Values

### BOOL

    protected static final int BOOL

See Also:
  Constant Field Values

### VAL

    protected static final int VAL

See Also:
  Constant Field Values

### sw

    int sw

### type

    int type

### set

    public boolean set

### val

    public String val

### debug

    boolean debug

Constructor Detail

### OptSwitch

    public OptSwitch()

### OptSwitch

    public OptSwitch(Character c,
                     int type)

  Invocation with explicit Character switchname and type

### OptSwitch

    public OptSwitch(int c,
                     int type)

  Invocation with explicit integer switchname and type

Method Detail

### SetHasValue

    public void SetHasValue(int type)

  Set the value type of the option switch to the type passed

  Parameters:
    `type` - type of value that switch may accept or be

### acceptVal

    public boolean acceptVal()

  Return whether the option switch accepts values or no

### SetVal

    public void SetVal(boolean b)

  Set the 'set' field of the option switch to 'b'.

  Parameters:
    `b` - set the 'set' boolean field to 'b'.

### SetVal

    public void SetVal(String s)

  Set the 'val' field of the option switch to 's'.

  Parameters:
    `s` - string to assign to 'val' field.